interface HeaderProps {
  leftComponent?: React.ReactNode;
  centerComponent?: React.ReactNode;
  rightComponent?: React.ReactNode;
  customClass?: string; // Adicionando customClass
}

const Header = ({
  leftComponent,
  centerComponent,
  rightComponent,
  customClass = "",
}: HeaderProps) => {
  return (
    <div
      className={`flex p-6 bg-orange-100 border-border max-w-7xl mx-auto ${customClass}`}
    >
      <div className="text-left flex items-center">{leftComponent}</div>
      <div className="flex-1 items-center">{centerComponent}</div>
      <div className="text-right flex items-center">{rightComponent}</div>
    </div>
  );
};

export default Header;
