import React, { createContext, useState } from 'react';

interface FormDataContextProps {
  cadastroFerroVelho: any;
  setCadastroFerroVelho: (data: any) => void;
  cadastroRepresentante: any;
  setCadastroRepresentante: (data: any) => void;
  clearData: () => void;
}

export const FormDataContext = createContext<FormDataContextProps>({
  cadastroFerroVelho: {},
  setCadastroFerroVelho: () => {},
  cadastroRepresentante: {},
  setCadastroRepresentante: () => {},
  clearData: () => {},
});

export const FormDataProvider: React.FC<{ children: React.ReactNode }> = ({ children }) => {
  const [cadastroFerroVelho, setCadastroFerroVelho] = useState<any>({});
  const [cadastroRepresentante, setCadastroRepresentante] = useState<any>({});
  
  const clearData = () => {
    setCadastroFerroVelho({});
    setCadastroRepresentante({});
  }

  return (
    <FormDataContext.Provider
      value={{
        cadastroFerroVelho,
        setCadastroFerroVelho,
        cadastroRepresentante,
        setCadastroRepresentante,
        clearData
      }}
    >
      {children}
    </FormDataContext.Provider>
  );
};
