import { useBuyerRegisterStore } from '../../stores/useBuyerRegisterStore';
import BuyerRegisterStep1 from '../../components/BuyerRegisterStep1';
import BuyerRegisterStep2 from '../../components/BuyerRegisterStep2';
import BuyerRegisterStep3 from '../../components/BuyerRegisterStep3';
import BackButton from '../../components/BackButton';
import {useNavigate} from "react-router-dom";
import StepperComponent from "../../components/Stepper";

const CadastroMecanico = () => {
  const { stepCadastroComprador, setStepCadastroComprador } = useBuyerRegisterStore();

  const renderStep = () => {
    switch (stepCadastroComprador) {
      case 1:
        return <BuyerRegisterStep1 />;
      case 2:
        return <BuyerRegisterStep2 />;
      case 3:
        return <BuyerRegisterStep3 />;
      default:
        return <BuyerRegisterStep1 />;
    }
  };

  const navigate = useNavigate();

  const handleBack = () => {
    if (stepCadastroComprador == 1) {
      navigate("/mecanico");
    }

    if (stepCadastroComprador > 1) {
      setStepCadastroComprador(stepCadastroComprador - 1);
    }

  };

  const getTitle = () => {
    switch (stepCadastroComprador) {
      case 1:
        return "Cadastro Empresa";
      case 2:
        return "Cadastro Endereço";
      case 3:
        return "Cadastro Pessoal";
      default:
        return "Cadastro";
    }
  };

  return (
      <div className="flex h-screen flex-col items-center bg-orange-500">
        <div className="flex w-[88%] h-fit shadow-lg rounded-lg overflow-hidden bg-white flex-col justify-center items-center mt-12 p-6 relative">
          <div className="absolute top-4 left-4"> {/* Wrapper para posicionar o botão */}
            <BackButton onConfirmBack={handleBack} />
          </div>
          <h1 className="text-[28px] font-bold mt-10 mb-6">{getTitle()}</h1> {/* Adicionada margem superior */}
          <div className="w-full max-w-sm mb-6">
          <StepperComponent step={stepCadastroComprador - 1} />
          </div>
          {renderStep()}
        </div>
      </div>
  );

};

export default CadastroMecanico;
