import { create } from "zustand";
import { Part } from "./utils/types/entities";

type BuyerStore = {
  cart: Part[];
  addToCart: (part: Part) => void;
  removeFromCart: (part: Part) => void;
};

export const useBuyerStore = create<BuyerStore>((set) => ({
  cart: [],
  addToCart: (part) => {
    set((state) => ({ cart: [...state.cart, part] }));
  },
  removeFromCart: (part) => {
    set((state) => ({ cart: state.cart.filter((item) => item.id !== part.id) }));
  },
}));