import { create } from 'zustand';
import { Buyer } from "../utils/types/entities";

interface BuyerRegisterStoreState {
    cadastroComprador: Buyer;
    stepCadastroComprador: number;
    setCadastroComprador: (data: Partial<Buyer>) => void;
    setStepCadastroComprador: (step: number) => void;
}

export const useBuyerRegisterStore = create<BuyerRegisterStoreState>((set) => ({
    cadastroComprador: {
        city: '',
        complement: '',
        document_number: '',
        email: '',
        neighborhood: '',
        number: '',
        phone_area_code: '',
        phone_country_code: '',
        phone_number: '',
        postal_code: '',
        state: '',
        street: '',
        trading_name: '',
        company_name: '',
    },
    stepCadastroComprador: 1,
    setCadastroComprador: (data) => set((state) => ({
        cadastroComprador: { ...state.cadastroComprador, ...data }
    })),
    setStepCadastroComprador: (step) => set(() => ({ stepCadastroComprador: step })),
}));
